import 'package:flutter/material.dart';
import 'package:taafee_mobile/common/extensions/widget_extension.dart';

import '../../../../common/const/const.dart';
import '../../../../common/widgets/text.dart';

class ChatDateDivider extends StatelessWidget {
  const ChatDateDivider({
    super.key,
    required this.dateTime,
  });
  final String dateTime;
  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Container(height: 2, color: AppColors.dividerColor).expanded(4),
        RegularTextWidget(
          dateTime,
          fontSize: 10,
        ).center().expanded(2),
        Container(height: 2, color: AppColors.dividerColor).expanded(4),
      ],
    );
  }
}
